import os
from glob import glob
from setuptools import setup
from setuptools import find_packages

package_name = 'ar3_description'

setup(
    name=package_name,
    version='1.0.0',
    packages=[package_name],
    data_files=[
        ('share/ament_index/resource_index/packages',
            ['resource/' + package_name]),
        ('share/' + package_name, ['package.xml']),
        ('share/' + package_name, glob('launch/*.py')),
        ('share/' + package_name, glob('urdf/*')),
        ('share/' + package_name + '/meshes', glob('meshes/*'))
    ],
    install_requires=['setuptools'],
    zip_safe=True,
    maintainer=['Thomas Muller', 'John Farrell'],
    maintainer_email=['tmuller2017@my.fit.edu', 'farrell2017@my.fit.edu'],
    description='Robot description and state publisher for the AR3 arm',
    license='TODO: License declaration',
    tests_require=['pytest'],
    entry_points={
        'console_scripts': [
            'state_publisher = ar3_description.state_publisher:main',
            'state_publisher_net = ar3_description.state_publisher_net:main'
        ],
    },
)
